Description

At this time we have a simple nagios check on container port but this check often is not enough.

For example, if a container, for some reasons, is in outOfMemory, the nagios check on container port doesn't detect this problem.
We have successfully tested a new check based on wsdl url that is able to detect this kind of problem. The new check should be the
following:

http://host:port/wsrf/services/gcube/common/vremanagement /GHNManager?WSDL

where "host" is the host of the container and "port” is the port where the container is running. All gCore containers in production
environment should be configured in this way.

Related issues:
Related to D4Science Infrastructure - Task #850: Investigate a new way for ch... Closed Apr 01, 2016

History

#1 - Apr 05, 2016 04:38 PM - Roberto Cirillo
- File wsdlgCoreCheckList.txt added

In attachment a list of containers where the new check is failing. The smartgears hosts in this list should be equipped with a proper nagios check for
smartgears containers.

#2 - Apr 05, 2016 04:46 PM - Roberto Cirillo

- Related to Task #850: Investigate a new way for check smartgears container by nagios added

#3 - Apr 07, 2016 12:38 PM - Andrea Dell'’Amico
- Status changed from New to In Progress

- % Done changed from 0 to 80

| switched to the new check all the nodes described as SMART instances on the attachment.

#4 - Apr 07, 2016 12:39 PM - Andrea Dell'’Amico

- Status changed from In Progress to Feedback

It seems that the following nodes aren't smartgears nodes:

dewn03.madgik.di.uoca.gr
dewn09.madgik.di.uoa.gr

dl23.di.uoa.gr

node4l.d4science.org
nodel3.p.d4science.research-infrastructures.eu
node3l.p.d4science.research-infrastructures.eu
node56.p.d4science.research-infrastructures.eu

#5 - Apr 07, 2016 12:44 PM - Andrea Dell'Amico
Some more:
nodebl.p.d4science.research-infrastructures.eu

dewn08.madgik.di.uoca.gr
dll7.di.uoa.gr
#6 - Apr 07, 2016 12:48 PM - Andrea Dell'Amico

- Status changed from Feedback to In Progress

My fault, | used the check that should be used to test the gcore nodes.

#7 - Apr 07,2016 01:21 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback
OK, there is one node that's failing the gCore check:
dewnlO.madgik.di.uoa.gr
#8 - Apr 07, 2016 02:36 PM - Roberto Cirillo
Andrea Dell'Amico wrote:
OK, there is one node that's failing the gCore check:

dewnlO.madgik.di.uoa.gr

Yes, because it is a smartgears node.
#9 - Apr 07, 2016 02:52 PM - Andrea Dell'Amico
Roberto Cirillo wrote:
Andrea Dell'’Amico wrote:
OK, there is one node that's failing the gCore check:

dewnlO.madgik.di.uoa.gr

Yes, because it is a smartgears node.

| see that there's a tomcat instance running, but http://dewn10.madgik.di.uoa.gr:8080/whn-manager/gcube/resource/ returns 404 (as it does on the

hosts listed in #3157 )

#10 - Apr 07, 2016 03:41 PM - Andrea Dell'Amico
- Status changed from Feedback to Closed
- % Done changed from 80 to 100

The new check is active for all the gCore nodes.

Files
wsdlgCoreCheckList.txt Apr 05, 2016 Roberto Cirillo
Dec 15, 2025 22


http://dewn10.madgik.di.uoa.gr:8080/whn-manager/gcube/resource/
https://redmine.dev.d4science.org/issues/3157
http://www.tcpdf.org

